
From: Christoph Hellwig <hch@lst.de>

These don't exist on SMP at all, at least warn on compiling for UP.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/interrupt.h |   30 ++++++++++++++++++++++++------
 1 files changed, 24 insertions(+), 6 deletions(-)

diff -puN include/linux/interrupt.h~warn-about-cli-sti-co-uses-even-on-up include/linux/interrupt.h
--- 25/include/linux/interrupt.h~warn-about-cli-sti-co-uses-even-on-up	2005-01-10 17:29:34.247680480 -0800
+++ 25-akpm/include/linux/interrupt.h	2005-01-10 17:29:34.251679872 -0800
@@ -61,12 +61,30 @@ extern void enable_irq(unsigned int irq)
  * Temporary defines for UP kernels, until all code gets fixed.
  */
 #ifndef CONFIG_SMP
-# define cli()			local_irq_disable()
-# define sti()			local_irq_enable()
-# define save_flags(x)		local_save_flags(x)
-# define restore_flags(x)	local_irq_restore(x)
-# define save_and_cli(x)	local_irq_save(x)
-#endif
+static inline void __deprecated cli(void)
+{
+	local_irq_disable();
+}
+static inline void __deprecated sti(void)
+{
+	local_irq_enable();
+}
+static inline void __deprecated save_flags(unsigned long *x)
+{
+	local_save_flags(*x);
+}
+#define save_flags(x) save_flags(&x);
+static inline void __deprecated restore_flags(unsigned long x)
+{
+	local_irq_restore(x);
+}
+
+static inline void __deprecated save_and_cli(unsigned long *x)
+{
+	local_irq_save(*x);
+}
+#define save_and_cli(x)	save_and_cli(&x)
+#endif /* CONFIG_SMP */
 
 /* SoftIRQ primitives.  */
 #define local_bh_disable() \
_
